name: Build single
on:
  workflow_dispatch:
    inputs:
      sourcerepo:
        description: Source repository
        required: true
        default: 'master'
      choice:
        type: choice
        description: Choose a board
        options:
        - bananapi
        - bananapim2plus
        - bananapim64
        - bananapipro
        - clearfogbase
        - clearfogpro
        - clockworkpi-a06
        - cubox-i
        - espressobin
        - firefly-rk3399
        - helios4
        - jethubj100
        - jethubj80
        - jetson-nano
        - khadas-edge
        - khadas-vim1
        - khadas-vim2
        - khadas-vim3
        - khadas-vim3l
        - lafrite
        - lepotato
        - lime-a64
        - lime2
        - nanopct4
        - nanopi-r1
        - nanopi-r2c
        - nanopi-r2s
        - nanopi-r4s
        - nanopik1plus
        - nanopim4
        - nanopim4v2
        - nanopineo
        - nanopineo2
        - nanopineo2black
        - nanopineoplus2
        - odroidc2
        - odroidc4
        - odroidhc4
        - odroidn2
        - odroidxu4
        - orangepi-r1
        - orangepi-r1plus
        - orangepi-r1plus-lts
        - orangepi3
        - orangepi3-lts
        - orangepi4
        - orangepilite
        - orangepilite2
        - orangepione
        - orangepioneplus
        - orangepipc
        - orangepipc2
        - orangepipcplus
        - orangepiplus
        - orangepiplus2e
        - orangepiprime
        - orangepizero
        - orangepizero2
        - orangepizeroplus
        - orangepizeroplus2-h3
        - pine64
        - pine64so
        - pinebook-a64
        - pinebook-pro
        - pineh64-b
        - quartz64a
        - radxa-zero
        - radxa-zero2
        - renegade
        - rk322x-box
        - rock-3a
        - rock64
        - rockpi-4a
        - rockpi-4b
        - rockpi-4c
        - rockpro64
        - rpi4b
        - station-m1
        - station-m2
        - station-p1
        - station-p2
        - tinkerboard
        - tinkerboard-2
        - tritium-h3
        - tritium-h5
        - uefi-arm64
        - uefi-x86
        - virtual-qemu
        - xt-q8l-v10
        - zeropi
jobs:

  fake:
    runs-on: small
    name: Source changes
    if: ${{ github.repository_owner == 'Armbian' }}
    steps:
      - run: |
          echo "not empty" > changes
      - uses: actions/upload-artifact@v2
        with:
          path: changes
          name: changes
          if-no-files-found: ignore

  single:
    needs: [ fake ]
    uses: armbian/scripts/.github/workflows/build-with-docker.yml@master

    with:
      variant: 'yes:stable'
      runner: "big"
      part: 1
      of: 1
      sourcerepo: '${{ github.event.inputs.sourcerepo }}'
      include: 'grep -w ${{ github.event.inputs.choice }} | '
      exclude: ''
      uploading: false

    secrets:
      GPG_KEY1: ${{ secrets.GPG_KEY1 }}
      GPG_PASSPHRASE1: ${{ secrets.GPG_PASSPHRASE1 }}
      GPG_KEY2: ${{ secrets.GPG_KEY2 }}
      GPG_PASSPHRASE2: ${{ secrets.GPG_PASSPHRASE2 }}
      SCRIPTS_ACCESS_TOKEN: ${{ secrets.SCRIPTS_ACCESS_TOKEN }}
      SSH_KEY_TORRENTS: ${{ secrets.KEY_TORRENTS }}
      KNOWN_HOSTS_UPLOAD: ${{ secrets.KNOWN_HOSTS_UPLOAD }}

  cleanup:
    runs-on: small
    needs: [ single ]
    if: ${{ github.repository_owner == 'Armbian' }}
    steps:
      - uses: geekyeggo/delete-artifact@v1
        with:
          name: changes
          failOnError: false
